import request from '@/utils/request'

// 查询纳税信息列表
export function listTaxes(query) {
  return request({
    url: '/basicData/xcrPayTaxes/findByPage',
    method: 'get',
    params: query
  })
}

// 查询纳税信息详细
export function getTaxes(id) {
  return request({
    url: '/basicData/xcrPayTaxes/' + id,
    method: 'get'
  })
}

// 新增纳税信息
export function addTaxes(data) {
  return request({
    url: '/basicData/xcrPayTaxes',
    method: 'post',
    data: data
  })
}

// 修改纳税信息
export function updateTaxes(data) {
  return request({
    url: '/basicData/xcrPayTaxes',
    method: 'put',
    data: data
  })
}

// 删除纳税信息
export function delTaxes(id) {
  return request({
    url: '/basicData/xcrPayTaxes/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delTaxesBatch(ids) {
  return request.post('/basicData/xcrPayTaxes/delete',ids)
}
